octave

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

octave

Gavin Nah

Hello, there.

I'm trying to install octave on the solaris 2.3.

Unfortunately, I get an error like this,

c++ -c  -I. -I../src -I.. -I../liboctave -I../src -DHAVE_CONFIG_H  -fno-implicit-templates  -g -O tc-rep-ass.cc

So, I had to do as below manually to solve the problem.

c++ -c -Wa,-q -I. -I../src -I.. -I../liboctave -I../src -DHAVE_CONFIG_H  -fno-implicit-templates  -g -O tc-rep-ass.cc

But, I'd like to know how I can make the gmake to recognize the option

'-Wa,-q'.

Can you tell me how ?

Thanks in advance,

Gavin

============================
Gavin Nah
Unix Programmer
Tamaki Computer Centre
University of Auckland
email : [hidden email]
Tel : 373-7599 ext)6842
============================

Reply | Threaded
Open this post in threaded view
|

Re: octave

Vinayak Dutt

#
# Hello, there.
#
# I'm trying to install octave on the solaris 2.3.
#
# Unfortunately, I get an error like this,
#
# c++ -c  -I. -I../src -I.. -I../liboctave -I../src -DHAVE_CONFIG_H  -fno-implicit-templates  -g -O tc-rep-ass.cc
#
# So, I had to do as below manually to solve the problem.
#
# c++ -c -Wa,-q -I. -I../src -I.. -I../liboctave -I../src -DHAVE_CONFIG_H  -fno-implicit-templates  -g -O tc-rep-ass.cc
#
# But, I'd like to know how I can make the gmake to recognize the option
#
# '-Wa,-q'.
#
# Can you tell me how ?
#

Looks like you arec ompiling with SUNpro CC and C++ compilers. As of now the configuration scripts for
Octave are made only to work with gcc and g++ compilers. Infact it requires libg++ also. So better try
to compile with gcc.


--vinayak-
/*
 * vinayak dutt
 * ex-graduate student, ultrasound research
 * mayo graduate school, rochester mn
 *
 * e-mail: [hidden email]
 *         [hidden email]
 *         [hidden email]
 *
 */
#include "disclaimer.h"